Summary: A GPS based navigation tool 
Name: gpsdrive
Version: 2.10
Release: 0.6.20100508svn%{?dist}
License: GPLv2+
Group: Applications/Productivity
URL: http://www.gpsdrive.de/index.shtml
# svn snapshot generated with: 
# svn co https://gpsdrive.svn.sourceforge.net/svnroot/gpsdrive/trunk gpsdrive-2.10-datesvn
# tar cvzpf gpsdrive-2.10-datesvn.tar.gz gpsdrive-2.10-datesvn
#Source: http://www.gpsdrive.de/packages/gpsdrive-2.10-20090607svn.tar.gz
#Source0: http://www.gpsdrive.de/packages/gpsdrive-2.10pre7.tar.gz
Source0: gpsdrive-2.10-20100508.tar.gz
Source1: http://download.sourceforge.net/sourceforge/gpsdrive/openstreetmap-map-icons-minimal.tar.gz
Patch1: gpsdrive-2.10pre7-fedora.patch
Patch2: gpsdrive-2.10pre7-usepc.patch
Patch3: gpsdrive-2.10-newgps.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel >= 2.0.6
BuildRequires: gettext intltool
BuildRequires: desktop-file-utils
BuildRequires: pcre-devel
BuildRequires: autoconf m4
BuildRequires: cmake
BuildRequires: mapnik-devel
BuildRequires: libxml2-devel
BuildRequires: libgda-devel
BuildRequires: boost-devel
BuildRequires: sqlite-devel
BuildRequires: libicu-devel
BuildRequires: libtool-ltdl-devel
BuildRequires: perl-devel
BuildRequires: libcurl-devel
BuildRequires: compat-libgda-devel
BuildRequires: gpsd-devel
BuildRequires: speech-dispatcher-devel
BuildRequires: postgresql-devel

Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires: gpsd

Provides: perl(Geo::OSM::EntitiesV3)
Provides: perl(Geo::OSM::OsmReaderV5)
Provides: perl(Geo::OSM::EntitiesV5)
Provides: perl(Geo::OSM::OsmReaderV3)  

%description
Gpsdrive is a map-based navigation system. 
It displays your position on a zoomable map 
provided from a NMEA-capable GPS receiver. The maps are autoselected 
for the best resolution, depending of your position, and the displayed 
image can be zoomed. Maps can be downloaded from the Internet with one 
mouse click. The program provides information about speed, direction, 
bearing, arrival time, actual position, and target position. 
Speech output is also available. MySQL is supported.

%prep
%setup -q -n gpsdrive-2.10-20100508
%setup -q -a 1 -T -D -n gpsdrive-2.10-20100508

%patch1 -p1
%patch2 -p1 -b .usepc
%patch3 -p1 -b .newgps

%build
#mkdir build
export Boost_LIBRARYDIR=%{_libdir}
cd build
%cmake ..
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT

cd ..
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/map-icons/
cp -a usr/share/icons/map-icons/* $RPM_BUILD_ROOT/usr/share/icons/map-icons/

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/gpsdrive.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr (-,root,root,-)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING README Documentation/*
%{_bindir}/friendsd
%{_bindir}/gdal_slice.sh
%{_bindir}/geocache2way.pl
%{_bindir}/gpsd-connect-bluetooth.sh
%{_bindir}/gpsreplay.pl
%{_bindir}/geoinfo.pl
%{_bindir}/gpsd_nmea.sh
%{_bindir}/gpsdrive
%{_bindir}/gpsdrive-update-mapnik-poitypes.pl
%{_bindir}/gpsdrive_mapnik_gentiles.*
%{_bindir}/gpsfetchmap.pl
%{_bindir}/gpspoint2gpsdrive.pl
%{_bindir}/nasaconv.sh
%{_datadir}/applications/fedora-gpsdrive.desktop
%{_datadir}/gpsdrive
%{_datadir}/icons/map-icons
%{_datadir}/icons/gpsdrive.png
%{_mandir}/*/man1/*
%{_mandir}/man1/*
%{perl_vendorlib}/*

%changelog
* Sat May 08 2010 Kevin Fenzi <kevin@tummy.com> - 2.1.0-0.6.20100508svn
- Update to svn version. 

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 2.1.0-0.5.pre7
- Rebuild for Boost soname bump

* Sat Sep 12 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.1.0-0.4.pre7
- use caolanm's fix (now that mapnik is properly fixed), use pkgconfig to figure out mapnik cflags/libs

* Sat Sep 12 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.1.0-0.3.pre7
- mapnik needs libagg to work

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-0.2.pre7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Kevin Fenzi <kevin@tummy.com> - 2.10-0.1.pre7
- update to 2.10pre7

* Sun Jun 07 2009 Kevin Fenzi <kevin@tummy.com> - 2.10-0.1.20090607svn
- update to 2.10-20090607svn

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.09-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 02 2009 Kevin Fenzi <kevin@tummy.com> - 2.09-7
- fix for CVE-2008-4959 - bug 470241
- fix for CVE-2008-5380 - bug 475478
- fix for CVE-2008-5703 - bug 481702

* Tue Apr 08 2008 Kevin Fenzi <kevin@tummy.com> - 2.09-6
- Add patch for gpsd arguments - bug 438615
- Add patch for mysql - bug 441179

* Sun Feb 10 2008 Kevin Fenzi <kevin@tummy.com> - 2.09-5
- Rebuild for gcc43

* Tue Aug 21 2007 Kevin Fenzi <kevin@tummy.com> - 2.09-4
- Update License tag. 

* Mon May 21 2007 Kevin Fenzi <kevin@tummy.com> - 2.09-3
- Do not ship useless INSTALL file. 
- Fix incorrect greek translation. 

* Tue May 15 2007 Kevin Fenzi <kevin@tummy.com> - 2.09-2
- Update for current guidelines

* Tue Apr 12 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.09-1.iva.1
- Added gtk2-devel to BR

* Sat Jan  8 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:2.09-1.iva.0
- Retooled spec file for standards
